Subject: bug#7952: 24.0.50; crash in find_interval

From: Chong Yidong <[email-masked]>
Date: Mon, 09 May 2011 15:46:39 -0400

Eli Zaretskii <[email-masked]> writes:

> Looks good, thanks.  Go ahead and commit, I will test it when I have
> time.

Committed.  Tested OK by replacing (fboundp 'start-process) with nil to
force the async code path.  The only difference was that when called
through call-process, grep doesn't emit the highlighting escape
sequences by default; I had to pass "--color=always".  This may have
something to do with the way grep's --color=auto detection works.